/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  --
  -- Local constants and variables
  --
  l_sql varchar2(32000);

BEGIN

  --
  -- Register QueryValueSetValuesByName service
  --
  l_sql :=
'        SELECT *
        FROM   TABLE(xxas_com_vset_pkg.get_vset_values_by_name(:pValueSetName, :pSelectedPersonId)) ';

  xxas_com_sr_pkg.seed_query_service
    (p_service_name      => 'QueryValueSetValuesByName'
    ,p_securing_function => 'XXAS_SRV_Q_VSET_VAL_NAME_PERM'
    ,p_sql               => l_sql
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pValueSetName'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pSelectedPersonId' , xxas_com_sr_pkg.g_NUMBER)));

END;
/
COMMIT;
EXIT;
